## pcp 3.3.3-squeeze2

=== debian/changelog ===
pcp (3.3.3-squeeze2) squeeze-security; urgency=high

  * Fix build on 64-bit architectures

 -- Florian Weimer <fw@deneb.enyo.de>  Wed, 22 Aug 2012 21:34:15 +0200

pcp (3.3.3-squeeze1) squeeze-security; urgency=high

  * Fixes for security advisory CVE-2012-3418 (PDU decoding errors)
  * Workaround for security advisory CVE-2012-3419 (proc disclosure)
  * Fixes for security advisory CVE-2012-3420 (libpcp/pmcd memleaks)
  * Fixes for security advisory CVE-2012-3421 (pmcd slow-client DoS)

 -- Nathan Scott <nathans@debian.org>  Tue, 21 Aug 2012 08:37:55 +1000
