## pcp 3.3.3-squeeze3

=== debian/changelog ===
pcp (3.3.3-squeeze3) oldstable; urgency=high

  * Provides resolution for no-dsa security advisory CVE-2012-5530
  * Backport SuSE insecure tmpfile handling fixes (closes: #698735)

 -- Nathan Scott <nathans@debian.org>  Thu, 08 Aug 2013 09:15:39 +1000
