## pcp 3.4.0

=== debian/changelog ===
pcp (3.4.0) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Several Debian packaging updates to get lintian happier.
  * New packages for PCP archive importing - libs, dev, perl tools.

 -- Nathan Scott <nathans@debian.org>  Wed, 29 Sep 2010 16:23:05 +1000
