=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Homepage: http://oss.sgi.com/projects/pcp
 Maintainer: Nathan Scott <nathans@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6), libreadline-dev
-Standards-Version: 3.8.4
+Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6), libreadline5-dev
+Standards-Version: 3.9.1
 
 Package: pcp
 Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, sysv-rc-conf, cpp
 Suggests: tsocks
 Conflicts: pgpool2
-Recommends: libpcp-pmda-perl, pcp-gui
+Recommends: libpcp-pmda-perl, pcp-gui, libpcp-import-perl
 Architecture: any
 Description: System level performance monitoring and performance management
  Performance Co-Pilot (PCP) is a framework and services to
@@ -39,7 +39,8 @@
 
 Package: libpcp3
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: pgpool2, pcp (<< 2.8.0), libpcp3-dev (<< 2.8.5)
+Conflicts: pgpool2
+Breaks: pcp (<< 2.8.0), libpcp3-dev (<< 2.8.5)
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot library
@@ -110,7 +111,7 @@
 Package: libpcp-pmda3-dev
 Section: libdevel
 Depends: ${misc:Depends}, libpcp3 (= ${binary:Version})
-Conflicts: pcp (<< 2.8.0)
+Breaks: pcp (<< 2.8.0)
 Architecture: any
 Description: Performance Co-Pilot Domain Agent library and headers
  The libpcp-pmda-dev package contains the Performance Co-Pilot (PCP)
@@ -137,7 +138,7 @@
 Package: libpcp-trace2-dev
 Section: libdevel
 Depends: ${misc:Depends}, libpcp3 (= ${binary:Version})
-Conflicts: pcp (<< 2.8.0)
+Breaks: pcp (<< 2.8.0)
 Architecture: any
 Description: Performance Co-Pilot application tracing library and headers
  The libpcp-trace-dev package contains the Performance Co-Pilot (PCP)
@@ -158,6 +159,36 @@
  The libpcp-trace package contains the runtime environment required by
  an application that is directly instrumented for event and value
  tracking by pmdatrace(3), the Trace Performance Metric Domain Agent.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
+Package: libpcp-import1-dev
+Section: libdevel
+Depends: ${misc:Depends}, libpcp3-dev
+Architecture: any
+Description: Performance Co-Pilot data import library and headers
+ The libpcp-import-dev package contains the library and header files
+ needed to build an application that imports performance data from
+ a file or real-time source and creates a Performance Co-Pilot (PCP)
+ archive suitable for use with the PCP tools.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
+Package: libpcp-import1
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Section: libs
+Architecture: any
+Description: Performance Co-Pilot data import library
+ The libpcp-import package contains the runtime environment required
+ by an application that imports performance data from a file or
+ real-time source and creates a Performance Co-Pilot (PCP) archive
+ suitable for use with the PCP tools.
  .
  The Performance Co-Pilot provides a unifying abstraction for
  all of the interesting performance data in a system, and allows
@@ -175,6 +206,22 @@
  Each PMDA exports performance data for one specific domain, for
  example the operating system kernel, Cisco routers, a database,
  an application, etc.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
+Package: libpcp-import-perl
+Section: perl
+Priority: optional
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libpcp-import1 (= ${binary:Version})
+Description: Performance Co-Pilot log import Perl module
+ The PCP::LogImport Perl module contains the language bindings for
+ building Perl applications that import performance data from a file
+ or real-time source and create a Performance Co-Pilot (PCP) archive
+ suitable for use with the PCP tools.
  .
  The Performance Co-Pilot provides a unifying abstraction for
  all of the interesting performance data in a system, and allows
@@ -213,3 +260,26 @@
  instrumented script into the PCP infrastructure for monitoring
  and analysis with pmchart, pmie, pmlogger and other PCP tools.
 
+Package: pcp-import-sar2pcp
+Depends: ${perl:Depends}, ${misc:Depends}, libpcp-import-perl, libxml-tokeparser-perl
+Architecture: all
+Description: Tool for importing data from sar into PCP archive logs
+ Performance Co-Pilot (PCP) front-end tool for importing data from sar
+ into standard PCP archive logs for replay with any PCP monitoring tool
+ (such as pmie, pmlogsummary, pmchart or pmdumptext).
+
+Package: pcp-import-mrtg2pcp
+Depends: ${perl:Depends}, ${misc:Depends}, libpcp-import-perl
+Architecture: all
+Description: Tool for importing data from MRTG into PCP archive logs
+ Performance Co-Pilot (PCP) front-end tool for importing data from MRTG
+ (the Multi Router Traffic Grapher tool) into standard PCP archive logs
+ for replay with any PCP monitoring tool (such as pmie, pmlogsummary,
+ pmchart or pmdumptext).
+
+Package: pcp-import-sheet2pcp
+Depends: ${perl:Depends}, ${misc:Depends}, libpcp-import-perl, libxml-tokeparser-perl, libspreadsheet-read-perl
+Architecture: all
+Description: Tool for importing data from a spreadsheet into PCP archive logs
+ Performance Co-Pilot (PCP) front-end tool for importing spreadheet data
+ into standard PCP archive logs for replay with any PCP monitoring tool.
