## pcp 3.5.6ubuntu1

=== debian/changelog ===
pcp (3.5.6ubuntu1) oneiric; urgency=low

  * Backport from upstream:
    - Fix quoting error causing build failure on powerpc.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 04 Sep 2011 09:23:11 +0100

pcp (3.5.6) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Number of new lintian warnings resolved.
  * Updated standards version.
  * Resolve readline build dependency (closes: #634448)

 -- Nathan Scott <nathans@debian.org>  Thu, 21 Jul 2011 11:25:11 +1000

pcp (3.5.2) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Fix build when $HOME not set (closes: #625961)

 -- Nathan Scott <nathans@debian.org>  Fri, 03 Jun 2011 16:28:14 +1000

pcp (3.5.0) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Mon, 31 Jan 2011 21:01:35 +1100

pcp (3.4.1) unstable; urgency=low

  * New release (Win32 specific changes only).

 -- Nathan Scott <nathans@debian.org>  Sat, 09 Oct 2010 06:22:42 +1100
