=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: utils
 Priority: extra
 Homepage: http://oss.sgi.com/projects/pcp
-Maintainer: Nathan Scott <nathans@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nathan Scott <nathans@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6), libreadline5-dev
-Standards-Version: 3.9.1
+Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev
+Standards-Version: 3.9.2
 
 Package: pcp
-Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, sysv-rc-conf, cpp
+Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, sysv-rc-conf
 Suggests: tsocks
 Conflicts: pgpool2
 Recommends: libpcp-pmda-perl, pcp-gui, libpcp-import-perl
@@ -282,4 +283,3 @@
 Architecture: all
 Description: Tool for importing data from a spreadsheet into PCP archive logs
  Performance Co-Pilot (PCP) front-end tool for importing spreadheet data
- into standard PCP archive logs for replay with any PCP monitoring tool.
