## pcp 3.5.10

=== debian/changelog ===
pcp (3.5.10) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 04 Nov 2011 11:11:11 +1100

pcp (3.5.9) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Sun, 23 Oct 2011 21:43:09 +1100

pcp (3.5.8) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Mon, 08 Aug 2011 12:21:13 +1000

pcp (3.5.7) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 05 Aug 2011 11:20:31 +1000
