=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: utils
 Priority: extra
 Homepage: http://oss.sgi.com/projects/pcp
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nathan Scott <nathans@debian.org>
+Maintainer: Nathan Scott <nathans@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev
 Standards-Version: 3.9.2
@@ -283,3 +282,4 @@
 Architecture: all
 Description: Tool for importing data from a spreadsheet into PCP archive logs
  Performance Co-Pilot (PCP) front-end tool for importing spreadheet data
+ into standard PCP archive logs for replay with any PCP monitoring tool.
