## pcp 3.5.11

=== debian/changelog ===
pcp (3.5.11) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Thu, 01 Dec 2011 20:39:52 +1100
