=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Homepage: http://oss.sgi.com/projects/pcp
 Maintainer: Nathan Scott <nathans@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev
+Build-Depends: autoconf, bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev
 Standards-Version: 3.9.2
 
 Package: pcp
@@ -282,4 +282,3 @@
 Architecture: all
 Description: Tool for importing data from a spreadsheet into PCP archive logs
  Performance Co-Pilot (PCP) front-end tool for importing spreadheet data
- into standard PCP archive logs for replay with any PCP monitoring tool.
