=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,9 @@
 uninstall = cat debian/*.install | sed -e "s,^,debian/$(pcp)/," | xargs rm -f
 uninstalld = rmdir debian/$(pcp)/usr/include/pcp debian/$(pcp)/usr/include
 
-build: built
+build: build-arch build-indep
+build-arch: built
+build-indep: built
 built: config
 	@echo "== dpkg-buildpackage: build" 1>&2
 	$(MAKE) default
@@ -145,8 +147,8 @@
 	dh_installdeb
 	dh_shlibdeps 2>/dev/null	# squash bogus and harmless warnings
 	dh_gencontrol
+	dh_md5sums
 
-	dh_md5sums
 	dh_builddeb
 
 binary: binary-indep binary-arch
