## pcp 3.6.5

=== debian/changelog ===
pcp (3.6.5) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Fixes for security advisory CVE-2012-3418 (PDU decoding errors)
  * Workaround for security advisory CVE-2012-3419 (proc disclosure)
  * Fixes for security advisory CVE-2012-3420 (libpcp/pmcd memleaks)
  * Fixes for security advisory CVE-2012-3421 (pmcd slow-client DoS)

 -- Nathan Scott <nathans@debian.org>  Thu, 16 Aug 2012 00:00:00 +0000
