## pcp 3.8.0

=== debian/changelog ===
pcp (3.8.0) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Introduces SASL2 dependency in core PCP library.
  * Ensure install.log turds not left behind (closes: #705994)

 -- Nathan Scott <nathans@debian.org>  Tue, 14 May 2013 08:29:36 +1000

pcp (3.7.2) unstable; urgency=low

  * Add build dependency on python-all-dev (closes: #704717)
  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 19 Apr 2013 09:24:10 +1000

pcp (3.7.1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 20 Mar 2013 09:01:30 +1100

pcp (3.7.0) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Resolve issues in python sub-package creation.
  * Introduces NSS dependency in core PCP library.

 -- Nathan Scott <nathans@debian.org>  Mon, 11 Mar 2013 11:03:56 +1100

pcp (3.6.10) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Resolves CVE-2012-5530 - insecure tmpfile flaws
  * Remove use of "restrict" keyword (closes: #689552)

 -- Nathan Scott <nathans@debian.org>  Mon, 19 Nov 2012 10:48:01 +1100

pcp (3.6.6) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Introduces a python-pcp package for client scripts.
  * Introduces an additional testsuite package for PCP QA tests.

 -- Nathan Scott <nathans@debian.org>  Tue, 28 Aug 2012 13:09:48 +1000
