=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: pcp
 Section: utils
-Priority: extra
+Priority: optional
 Homepage: http://oss.sgi.com/projects/pcp
-Maintainer: Nathan Scott <nathans@debian.org>
-Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any]
-Standards-Version: 3.9.2
+Maintainer: PCP Development Team <pcp@oss.sgi.com>
+Uploaders: Nathan Scott <nathans@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
+Build-Depends: bison, flex, gawk, procps, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python-all, python-all-dev, libnspr4-dev, libnss3-dev, libsasl2-dev, libmicrohttpd-dev
+Standards-Version: 3.9.3
+X-Python-Version: >= 2.6
 
 Package: pcp
-Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, sysv-rc-conf
+Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, sysv-rc-conf, libpcp-pmda-perl, python-pcp, python
 Suggests: tsocks
 Conflicts: pgpool2
-Recommends: libpcp-pmda-perl, pcp-gui, libpcp-import-perl
+Recommends: pcp-gui, libpcp-import-perl
 Architecture: any
 Description: System level performance monitoring and performance management
  Performance Co-Pilot (PCP) is a framework and services to
@@ -26,6 +27,7 @@
 Package: libpcp3-dev
 Section: libdevel
 Depends: ${misc:Depends}, libpcp3 (= ${binary:Version}), libc6-dev | libc-dev
+Breaks: pcp (<< 3.8.0)
 Architecture: any
 Description: Performance Co-Pilot library and headers
  The libpcp-dev package contains the base Performance Co-Pilot (PCP)
@@ -195,9 +197,22 @@
  client applications to easily retrieve and process any subset of
  that data.
 
+Package: python-pcp
+Section: python
+Architecture: any
+Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, libpcp3 (= ${binary:Version})
+Provides: ${python:Provides} 
+Description: Performance Co-Pilot Python PMAPI module
+ The PCP Python module contains the language bindings for
+ building Performance Metric API client tools using Python.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
 Package: libpcp-pmda-perl
 Section: perl
-Priority: optional
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libpcp-pmda3 (= ${binary:Version})
 Description: Performance Co-Pilot Domain Agent Perl module
@@ -214,7 +229,6 @@
 
 Package: libpcp-import-perl
 Section: perl
-Priority: optional
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libpcp-import1 (= ${binary:Version})
 Description: Performance Co-Pilot log import Perl module
@@ -230,7 +244,6 @@
 
 Package: libpcp-logsummary-perl
 Section: perl
-Priority: optional
 Architecture: any
 Depends: ${misc:Depends}, ${perl:Depends}, pcp (= ${binary:Version})
 Description: Performance Co-Pilot historical log summary module
@@ -248,7 +261,6 @@
 
 Package: libpcp-mmv-perl
 Section: perl
-Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libpcp-mmv1 (= ${binary:Version})
 Description: Performance Co-Pilot Memory Mapped Value Perl module
@@ -269,16 +281,3 @@
  (such as pmie, pmlogsummary, pmchart or pmdumptext).
 
 Package: pcp-import-mrtg2pcp
-Depends: ${perl:Depends}, ${misc:Depends}, libpcp-import-perl
-Architecture: all
-Description: Tool for importing data from MRTG into PCP archive logs
- Performance Co-Pilot (PCP) front-end tool for importing data from MRTG
- (the Multi Router Traffic Grapher tool) into standard PCP archive logs
- for replay with any PCP monitoring tool (such as pmie, pmlogsummary,
- pmchart or pmdumptext).
-
-Package: pcp-import-sheet2pcp
-Depends: ${perl:Depends}, ${misc:Depends}, libpcp-import-perl, libxml-tokeparser-perl, libspreadsheet-read-perl
-Architecture: all
-Description: Tool for importing data from a spreadsheet into PCP archive logs
- Performance Co-Pilot (PCP) front-end tool for importing spreadheet data
