=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,8 @@
 pcp_import_mrtg = pcp-import-mrtg2pcp
 pcp_import_sheet = pcp-import-sheet2pcp
 pcp_import_iostat = pcp-import-iostat2pcp
+pcp_testsuite = pcp-testsuite
+pcp_python = python-pcp
 
 dirpcp = debian/$(pcp)
 dirlibpcp = debian/$(libpcp)
@@ -43,6 +45,8 @@
 dirpcp_import_mrtg = debian/$(pcp_import_mrtg)
 dirpcp_import_sheet = debian/$(pcp_import_sheet)
 dirpcp_import_iostat = debian/$(pcp_import_iostat)
+dirpcp_testsuite = debian/$(pcp_testsuite)
+dirpcp_python = debian/$(pcp_python)
 allperldir = $(dirlibpcp_pmda_perl) $(dirlibpcp_import_perl) \
 		$(dirpcp_logsummary_perl) $(dirlibpcp_mmv_perl)
 alldir = $(dirpcp) $(dirlibpcp) $(dirlibpcpdev) $(allperldir) \
@@ -53,79 +57,93 @@
 		$(dirlibpcp_mmv) $(dirlibpcp_mmvdev) \
 		$(dirpcp_import_sar) $(dirpcp_import_mrtg) \
 		$(dirpcp_import_sheet) $(dirpcp_import_iostat) \
+		$(dirpcp_testsuite) $(dirpcp_python)
 
-zip = @export GZIP=-9q
-pkgpcp = $(zip); export DIST_ROOT=`pwd`/$(dirpcp);
-pkglibpcp = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp);
-pkglibpcp_gui = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp_gui);
-pkglibpcp_mmv = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp_mmv);
-pkglibpcp_pmda = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp_pmda);
-pkglibpcp_trace = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp_trace);
-pkglibpcp_import = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp_import);
-pkglibpcp_mmv_perl = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp_mmv_perl);
-pkglibpcp_pmda_perl = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp_pmda_perl);
-pkglibpcp_import_perl = $(zip); export DIST_ROOT=`pwd`/$(dirlibpcp_import_perl);
-pkgpcp_logsummary_perl = $(zip); export DIST_ROOT=`pwd`/$(dirpcp_logsummary_perl);
-pkgpcp_import_sar = $(zip); export DIST_ROOT=`pwd`/$(dirpcp_import_sar);
-pkgpcp_import_mrtg = $(zip); export DIST_ROOT=`pwd`/$(dirpcp_import_mrtg);
-pkgpcp_import_sheet = $(zip); export DIST_ROOT=`pwd`/$(dirpcp_import_sheet);
-pkgpcp_import_iostat = $(zip); export DIST_ROOT=`pwd`/$(dirpcp_import_iostat);
+pkgpcp = export GZIP=-9q DIST_ROOT=`pwd`/$(dirpcp);
+pkglibpcp = export GZIP=-9q DIST_ROOT=`pwd`/$(dirlibpcp);
+pkglibpcp_gui = export GZIP=-9q DIST_ROOT=`pwd`/$(dirlibpcp_gui);
+pkglibpcp_mmv = export GZIP=-9q DIST_ROOT=`pwd`/$(dirlibpcp_mmv);
+pkglibpcp_pmda = export GZIP=-9q DIST_ROOT=`pwd`/$(dirlibpcp_pmda);
+pkglibpcp_trace = export GZIP=-9q DIST_ROOT=`pwd`/$(dirlibpcp_trace);
+pkglibpcp_import = export GZIP=-9q DIST_ROOT=`pwd`/$(dirlibpcp_import);
+pkglibpcp_mmv_perl = export GZIP=-9q DIST_ROOT=`pwd`/$(dirlibpcp_mmv_perl);
+pkglibpcp_pmda_perl = export GZIP=-9q DIST_ROOT=`pwd`/$(dirlibpcp_pmda_perl);
+pkglibpcp_import_perl = export GZIP=-9q DIST_ROOT=`pwd`/$(dirlibpcp_import_perl);
+pkgpcp_logsummary_perl = export GZIP=-9q DIST_ROOT=`pwd`/$(dirpcp_logsummary_perl);
+pkgpcp_import_sar = export GZIP=-9q DIST_ROOT=`pwd`/$(dirpcp_import_sar);
+pkgpcp_import_mrtg = export GZIP=-9q DIST_ROOT=`pwd`/$(dirpcp_import_mrtg);
+pkgpcp_import_sheet = export GZIP=-9q DIST_ROOT=`pwd`/$(dirpcp_import_sheet);
+pkgpcp_import_iostat = export GZIP=-9q DIST_ROOT=`pwd`/$(dirpcp_import_iostat);
+pkgpcp_testsuite = export GZIP=-9q DIST_ROOT=`pwd`/$(dirpcp_testsuite);
+pkgpcp_python = export GZIP=-9q DIST_ROOT=`pwd`/$(dirpcp_python);
 
-options = export DEBUG=-DNDEBUG AWK=gawk;
+configure_tools = export DEBUG=-DNDEBUG;
+configure_paths = --prefix=/usr --libexecdir=/usr/lib --sysconfdir=/etc --localstatedir=/var --with-rcdir=/etc/init.d
+
 checkdir = test -f debian/rules
 uninstall = cat debian/*.install | sed -e "s,^,debian/$(pcp)/," | xargs rm -f
-uninstalld = rmdir debian/$(pcp)/usr/include/pcp debian/$(pcp)/usr/include
+uninstallpy = cat python-pcp.list | sed -e "s,^,debian/$(pcp)/," | xargs rm -fr
+uninstallpydir = ls -d debian/$(pcp)/usr/lib*/python* | xargs rm -fr
+uninstalltest = cat debian/$(pcp_testsuite).dirs | sed -e "s,^,debian/$(pcp)/," | xargs rm -fr
+uninstalldirs = rmdir debian/$(pcp)/usr/include/pcp debian/$(pcp)/usr/include debian/$(pcp)/usr/share/man/man3
 unrpathperl = find $(allperldir) -name \*.so | xargs chrpath -d
 
 build: build-arch build-indep
-build-arch: built
-build-indep: built
-built: config
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: config
 	@echo "== dpkg-buildpackage: build" 1>&2
 	$(MAKE) default
-	touch built
+	touch build-stamp
 
 config: .census
 .census:
 	@echo "== dpkg-buildpackage: configure" 1>&2
 	$(checkdir)
-	$(options) $(MAKE) configure_pcp
+	$(configure_tools) ./configure $(configure_paths)
 	touch .census
 
 clean:
 	@echo "== dpkg-buildpackage: clean" 1>&2
 	$(checkdir)
-	-rm -f built .census
+	-rm -f build-stamp .census
 	$(MAKE) realclean
 	-rm -rf $(alldir)
 	-rm -f debian/*substvars debian/files* debian/*.debhelper
 
 binary-indep:
 
-binary-arch: checkroot built
+binary-arch: checkroot build-stamp
 	@echo "== dpkg-buildpackage: binary-arch" 1>&2
 	$(checkdir)
 	-rm -rf $(alldir)
 	$(pkgpcp) $(MAKE) -C . install
 	$(pkgpcp) $(MAKE) -C build pcp.src
-	$(pkglibpcp_mmv_perl) $(MAKE) -C src/cpan/MMV install_perl
-	$(pkglibpcp_pmda_perl) $(MAKE) -C src/cpan/PMDA install_perl
-	$(pkglibpcp_import_perl) $(MAKE) -C src/cpan/LogImport install_perl
-	$(pkgpcp_logsummary_perl) $(MAKE) -C src/cpan/LogSummary install_perl
+	$(pkgpcp_testsuite) $(MAKE) -C qa install
+	$(pkglibpcp_mmv_perl) $(MAKE) -C src/perl/MMV install_perl
+	$(pkglibpcp_pmda_perl) $(MAKE) -C src/perl/PMDA install_perl
+	$(pkglibpcp_import_perl) $(MAKE) -C src/perl/LogImport install_perl
+	$(pkgpcp_logsummary_perl) $(MAKE) -C src/perl/LogSummary install_perl
 	$(pkgpcp_import_sar) $(MAKE) -C src/pmimport/sar2pcp install
 	$(pkgpcp_import_mrtg) $(MAKE) -C src/pmimport/mrtg2pcp install
 	$(pkgpcp_import_sheet) $(MAKE) -C src/pmimport/sheet2pcp install
 	$(pkgpcp_import_iostat) $(MAKE) -C src/pmimport/iostat2pcp install
+	for V in $(shell pyversions -vr); do \
+	    $(pkgpcp_python) $(MAKE) PYTHON=python$$V -C src/python install; \
+	done
 
 	dh_installdocs
 	dh_installchangelogs
 	dh_strip
 	dh_compress
-	dh_fixperms
+	dh_fixperms -X/tmp
 	dh_installdirs
 	dh_install --sourcedir=debian/$(pcp)
 	@$(uninstall)
-	@$(uninstalld)
+	@$(uninstalldirs)
+	@$(uninstalltest)
+	@$(uninstallpydir)
+	@$(uninstallpy)
 	@$(unrpathperl)
 	dh_makeshlibs -N $(libpcp)
 	dh_makeshlibs --package $(libpcp)
@@ -139,6 +157,7 @@
 	dh_makeshlibs --package $(libpcp_gui)
 	dh_makeshlibs -N $(libpcp_mmv)
 	dh_makeshlibs --package $(libpcp_mmv)
+	dh_python2 --package $(pcp_python)
 	dh_perl -p $(libpcp_mmv_perl)
 	dh_perl -p $(libpcp_pmda_perl)
 	dh_perl -p $(libpcp_import_perl)
@@ -149,7 +168,7 @@
 	dh_perl -p $(pcp_import_iostat)
 	dh_installdeb
 	dh_shlibdeps 2>/dev/null	# squash bogus and harmless warnings
-	dh_gencontrol
+	dh_gencontrol 2>/dev/null	# squash the python:Versions warning
 	dh_md5sums
 
 	dh_builddeb
